#include <bits/stdc++.h>
using namespace std;
long int a[10000],i,j,n;
ifstream fi("nhiphan.inp");
ofstream fo("nhiphan.out");
void nhap()
{
	fi>>n;
	for (i=1;i<=n;i++)a[i]=0;
}
void xuat(int n)
{	
	for (i=1;i<=n;i++) fo<<a[i];
	fo<<endl;
}
void xaunp (int i)
{
	int j;
	for (j=0; j<=1;j++)
	{
		a[i]=j;
		if (i==n) xuat(i);
		else xaunp(i+1);
	}
}
void xuly()
{
      xaunp(1);
  
}
int main()
{
      nhap();
      xuly();
}

